package com.docus.server.collect.web.service.impl;

import com.docus.infrastructure.core.db.service.impl.BaseServiceImpl;
import com.docus.server.collect.web.common.entity.TaskConfig;
import com.docus.server.collect.web.mapper.TaskConfigMapper;
import com.docus.server.collect.web.service.ITaskConfigService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;

@Service
public class TaskConfigServiceImpl extends BaseServiceImpl<TaskConfigMapper, TaskConfig> implements ITaskConfigService {
    @Transactional
    @Override
    public void updateAllPointerDate(String id, Date date) {
        TaskConfig taskConfig = super.getById(id);
        taskConfig.setAllPointerTime(date);
        super.updateById(taskConfig);
    }

    @Transactional
    @Override
    public void updateIncPointerDate(String id, Date date) {
        TaskConfig taskConfig = super.getById(id);
        taskConfig.setIncPointerTime(date);
        super.updateById(taskConfig);
    }

}
